<template>
  <div class="courseList">
    <ul>
      <li v-for="course in courses" :key="course.courseId">
        <CourseItem :course="course" @onDelete="emitDelete" />
      </li>
    </ul>
  </div>
</template>

<script>
import CourseItem from "./CourseItem";

export default {
  name: "CourseList",
  components: {
    CourseItem,
  },
  methods: {
    emitDelete() {
      this.$emit("onDelete");
    },
  },
  props: ["courses"],
};
</script>

<style scoped>
.courseList {
  height: 85vh;
  overflow: auto;
}
</style>
